import request from '@/utils/request'

// 查询出入库列表
export function listChuruku(query) {
  return request({
    url: '/yanxinxiang/churuku/list',
    method: 'get',
    params: query
  })
}

// 查询出入库详细
export function getChuruku(id) {
  return request({
    url: '/yanxinxiang/churuku/' + id,
    method: 'get'
  })
}

// 新增出入库
export function addChuruku(data) {
  return request({
    url: '/yanxinxiang/churuku',
    method: 'post',
    data: data
  })
}

// 修改出入库
export function updateChuruku(data) {
  return request({
    url: '/yanxinxiang/churuku',
    method: 'put',
    data: data
  })
}

// 删除出入库
export function delChuruku(id) {
  return request({
    url: '/yanxinxiang/churuku/' + id,
    method: 'delete'
  })
}
