import request from '@/utils/request'

// 查询岩心箱列表
export function listBox(query) {
  return request({
    url: '/yanxinxiang/box/list',
    method: 'get',
    params: query
  })
}

// 查询岩心箱详细
export function getBox(id) {
  return request({
    url: '/yanxinxiang/box/' + id,
    method: 'get'
  })
}

// 新增岩心箱
export function addBox(data) {
  return request({
    url: '/yanxinxiang/box',
    method: 'post',
    data: data
  })
}

// 修改岩心箱
export function updateBox(data) {
  return request({
    url: '/yanxinxiang/box',
    method: 'put',
    data: data
  })
}

// 删除岩心箱
export function delBox(id) {
  return request({
    url: '/yanxinxiang/box/' + id,
    method: 'delete'
  })
}
