import request from '@/utils/request'

// 查询工程信息管理列表
export function listManagement(query) {
  return request({
    url: '/yanxinxiang/management/list',
    method: 'get',
    params: query
  })
}

// 查询工程信息管理详细
export function getManagement(id) {
  return request({
    url: '/yanxinxiang/management/' + id,
    method: 'get'
  })
}

// 新增工程信息管理
export function addManagement(data) {
  return request({
    url: '/yanxinxiang/management',
    method: 'post',
    data: data
  })
}

// 修改工程信息管理
export function updateManagement(data) {
  return request({
    url: '/yanxinxiang/management',
    method: 'put',
    data: data
  })
}

// 删除工程信息管理
export function delManagement(id) {
  return request({
    url: '/yanxinxiang/management/' + id,
    method: 'delete'
  })
}
